The aRts Handbook
Prev | Chapter 2. aRts Tools | Next

# 2.7. artscat

This is a simple utility to send raw audio data to the sound server. You need to specify the data format (sampling rate, sample size, and number of channels). This is probably not a utility that you will use often, but it can be handy for testing purposes. The command syntax is:

artscat [ `options` ] [ `filename` ]

If no file name is specified, it reads standard input. The following options are supported:

`-r `sampling rate``

  Set the sampling rate to use.

`-b `bits``

  Set sample size to use (8 or 16).

`-c `channels``

  Set number of channels (1 or 2).

`-h`

  Display command usage and exit.

Prev | Home | Next
artsdsp | Up | artscontrol